Loading...
Searching...
No Matches
MeanCurvature< UniformScaleTranslateMap, DiffScheme2, DiffScheme1 > Struct Template Reference

`#include <openvdb/math/Operators.h>`

## Static Public Member Functions

template<typename Accessor>
static Accessor::ValueType | result (const UniformScaleTranslateMap &map, const Accessor &grid, const Coord &ijk)
template<typename Accessor>
static Accessor::ValueType | normGrad (const UniformScaleTranslateMap &map, const Accessor &grid, const Coord &ijk)
template<typename StencilT>
static StencilT::ValueType | result (const UniformScaleTranslateMap &map, const StencilT &stencil)
template<typename StencilT>
static StencilT::ValueType | normGrad (const UniformScaleTranslateMap &map, const StencilT &stencil)
static bool | compute (const UniformScaleTranslateMap &map, const Accessor &grid, const Coord &ijk, double &alpha, double &beta)
| Random access version.

## Member Function Documentation

## compute()

bool compute | ( | const UniformScaleTranslateMap & | map,
|  | const Accessor & | grid,
|  | const Coord & | ijk,
|  | double & | alpha,
|  | double & | beta )

inline static

Random access version.

Returns
  `true` if the gradient is nonzero, in which case the mean curvature is returned in two parts, alpha and beta, where alpha is the numerator in ∇ · (∇Φ / |∇Φ|) and beta is |∇Φ|.

## normGrad() [1/2]

template<DDScheme DiffScheme2, DScheme DiffScheme1>
template<typename Accessor>

Accessor::ValueType normGrad | ( | const UniformScaleTranslateMap & | map,
|  | const Accessor & | grid,
|  | const Coord & | ijk )

inline static

## normGrad() [2/2]

template<DDScheme DiffScheme2, DScheme DiffScheme1>
template<typename StencilT>

StencilT::ValueType normGrad | ( | const UniformScaleTranslateMap & | map,
|  | const StencilT & | stencil )

inline static

## result() [1/2]

template<DDScheme DiffScheme2, DScheme DiffScheme1>
template<typename Accessor>

Accessor::ValueType result | ( | const UniformScaleTranslateMap & | map,
|  | const Accessor & | grid,
|  | const Coord & | ijk )

inline static

## result() [2/2]

template<DDScheme DiffScheme2, DScheme DiffScheme1>
template<typename StencilT>

StencilT::ValueType result | ( | const UniformScaleTranslateMap & | map,
|  | const StencilT & | stencil )

inline static